Public Member Functions | Package Functions

# BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement > Interface Reference

Interface for state vectors. More...

Inheritance diagram for BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement >:

List of all members.

## Public Member Functions
boolean | hasState (GraphNode node)
| Checks if the state vector knows the state of a node.
void | setState (GraphNode node, LatticeElement element)
| Updates the state of a graph node.
int | size ()
| Number of entries in the state vector.
## Package Functions
LatticeElement | getState (GraphNode node)
| Returns the state of a given node.

## Detailed Description

Interface that must be implemented by all classes to be used as state vectors in the context of MonoREIL.

Parameters:

  | <GraphNode> | Type of the nodes in the lattice graph.
  | <LatticeElement> | Type of the lattice elements.

## Member Function Documentation

LatticeElement BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement >.getState | ( | GraphNode | node | ) | `[package]`

Returns the state of a given node.

Parameters:

  | node | The node for which the state is returned.

Returns:
  The state of a given node.

boolean BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement >.hasState | ( | GraphNode | node | ) |

Checks whether the state vector knows the current state of a given node or not.

Parameters:

  | node | The node to check.

Returns:
  True, if the state of the node is known. False, otherwise.

void BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement >.setState | ( | GraphNode | node,
|  | LatticeElement | element |
| ) |  |  |

Updates the state of a graph node.

Parameters:

  | node | The graph node whose state is updated.
  | element | The new state of the graph node.

int BinNavi.API.reil.mono.IStateVector< GraphNode, LatticeElement >.size | ( |  | ) |

Returns the number of entries in the state vector.

Returns:
  The number of entries in the state vector.

Implemented in BinNavi.API.reil.mono.DefaultStateVector< GraphNode, LatticeElement extends ILatticeElement< LatticeElement > >.